CONSOLE_CONDIT(9)

NAME
console_conditional_schedule - yield the CPU if required

SYNOPSIS

void __sched console_conditional_schedule (void);

ARGUMENTS

void
    no arguments

DESCRIPTION

If the console code is currently allowed to sleep, and if this CPU should yield the CPU to another task, do so here.

Must be called within acquire_console_sem.